#!/usr/bin/env python

import os

PIP_BIN = 'pip'
REQUIREMENTS_PIP = './requirements.pip'
VIRTUALENV_BIN = 'virtualenv'
VIRTUALENV_DIR = './spacecraft-env'

try:
    del os.environ['PIP_RESPECT_VIRTUALENV']
except KeyError:
    pass

try:
    del os.environ['PIP_VIRTUALENV_BASE']
except KeyError:
    pass

try:
    os.mkdir(VIRTUALENV_DIR)
except OSError:
    pass

os.system('%s --distribute %s' % (VIRTUALENV_BIN, VIRTUALENV_DIR))
os.system('%s install -E %s -r %s' % (PIP_BIN, VIRTUALENV_DIR,
                                      REQUIREMENTS_PIP))
